Class lop
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lop

public class lop
extends ej
list operator: perform calculation on lists.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lop(com.cycling74.max.Atom[] args) Create a lop object.

Method Summary
void | bang() Re-Trigger the calculation
void | getops() Send the list of the availlable operators to the dumpout outlet.
void | inlet(float f) Apply the calculation on the floating point value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
void | inlet(int i) Apply the calculation on the integer value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
void | list(float[] args) Set the value, and then trigger the calculation (if the value arrive in the left inlet, or if the @autotrigger mode is set to 1).

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
lop
public lop(com.cycling74.max.Atom[] args)

  Create a lop object. The optional arguments define the operand and the default values.
  Parameters:
    args - operand, optionaly followed by the list of the default values (like the second inlet).

Method Detail
bang
public void bang()

  Re-Trigger the calculation
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Apply the calculation on the integer value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Apply the calculation on the floating point value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
  Overrides:
    inlet in class ej
  Parameters:
    f - float value

list
public void list(float[] args)

  Set the value, and then trigger the calculation (if the value arrive in the left inlet, or if the @autotrigger mode is set to 1).
  Overrides:
    list in class com.cycling74.max.MaxObject

getops
public void getops()

  Send the list of the availlable operators to the dumpout outlet.

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com